## javax.faces.component.html
Class HtmlMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage
                  javax.faces.component.html.HtmlMessage

All Implemented Interfaces:
  StateHolder

public class HtmlMessage
extends UIMessage

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIMessage
`COMPONENT_FAMILY`

Constructor Summary
`HtmlMessage()`

Method Summary
`java.lang.String` `getErrorClass()`
`java.lang.String` `getErrorStyle()`
`java.lang.String` `getFatalClass()`
`java.lang.String` `getFatalStyle()`
`java.lang.String` `getInfoClass()`
`java.lang.String` `getInfoStyle()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`java.lang.String` `getTitle()`
`java.lang.String` `getWarnClass()`
`java.lang.String` `getWarnStyle()`
`boolean` `isTooltip()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setErrorClass(java.lang.String errorClass)`
`void` `setErrorStyle(java.lang.String errorStyle)`
`void` `setFatalClass(java.lang.String fatalClass)`
`void` `setFatalStyle(java.lang.String fatalStyle)`
`void` `setInfoClass(java.lang.String infoClass)`
`void` `setInfoStyle(java.lang.String infoStyle)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setTitle(java.lang.String title)`
`void` `setTooltip(boolean tooltip)`
`void` `setWarnClass(java.lang.String warnClass)`
`void` `setWarnStyle(java.lang.String warnStyle)`

Methods inherited from class javax.faces.component.UIMessage
`getFamily, getFor, isShowDetail, isShowSummary, setFor, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlMessage

    public HtmlMessage()

Method Detail

### setErrorClass

    public void setErrorClass(java.lang.String errorClass)

### getErrorClass

    public java.lang.String getErrorClass()

### setErrorStyle

    public void setErrorStyle(java.lang.String errorStyle)

### getErrorStyle

    public java.lang.String getErrorStyle()

### setFatalClass

    public void setFatalClass(java.lang.String fatalClass)

### getFatalClass

    public java.lang.String getFatalClass()

### setFatalStyle

    public void setFatalStyle(java.lang.String fatalStyle)

### getFatalStyle

    public java.lang.String getFatalStyle()

### setInfoClass

    public void setInfoClass(java.lang.String infoClass)

### getInfoClass

    public java.lang.String getInfoClass()

### setInfoStyle

    public void setInfoStyle(java.lang.String infoStyle)

### getInfoStyle

    public java.lang.String getInfoStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setTooltip

    public void setTooltip(boolean tooltip)

### isTooltip

    public boolean isTooltip()

### setWarnClass

    public void setWarnClass(java.lang.String warnClass)

### getWarnClass

    public java.lang.String getWarnClass()

### setWarnStyle

    public void setWarnStyle(java.lang.String warnStyle)

### getWarnStyle

    public java.lang.String getWarnStyle()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIMessage`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIMessage`